
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android ApiDemos示例解析(22) App-&amp;gt;Dialog / iVAN</title>

    <meta name="description" content="Android ApiDemos示例解析(22) App-&amp;gt;Dialog 这个例子的主Activity定义在AlertDialogSamples.java 主要用来介绍类AlertDialog的用法,AlertDialog提供的功能是多 样的: 显示消息给用户,并可提供一到三个按钮(OK, Cancel ,Yes ,No)用于选择或是显示警告. 显示一个列表 以供用户选择,列表中可以是Radio Button  (单选),Check button (多选) 显示文本框来接受用户输入等. 创建AlertDialog一般是通过AlertDialog.Builder来构造:">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android ApiDemos示例解析(22) App-&amp;gt;Dialog</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>这个例子的主Activity定义在AlertDialogSamples.java 主要用来介绍类AlertDialog的用法，AlertDialog提供的功能是多 样的：</p>
<p>显示消息给用户，并可提供一到三个按钮（OK, Cancel ,Yes ,No)用于选择或是显示警告。</p>
<p>显示一个列表 以供用户选择,列表中可以是Radio Button  (单选),Check button (多选)</p>
<p>显示文本框来接受用户输入等。</p>
<p>创建AlertDialog一般是通过AlertDialog.Builder来构造：</p>
<pre>
AlertDialog.Builder ad=new AlertDialog.Builder

(context);</pre>
<p>之后可以为这个AlergDialog设置标题，显示的信息，需要显示的Buttons等。然后调用 ad.show来显示这 个对话框。</p>
<p>为了避免每次显示对话框都新建一个Dialog对象，Android提供两个方法 onCreateDialog和onPrepareDialog 事件来管理对话框的创建。</p>
<p>通过重载onCreateDialog，可以根据需要（如执行showDialog时）创建所需对话框实例。而 在创建这个对话框实例后，在每次showDialog之前，如果需要对这个对话框做些修改可以重载onPrepareDialog方法来实现。 原 理和Android管理Menu的方法类似。</p>
<p>下面给出使用AlertDialog的一般步骤。因为在onCreateDialog可能创建多个Dialog 示例，所以必须先定义一个Dialog的ID。</p>
<pre>
private static final int DIALOG_YES_NO_MESSAGE = 1;</pre>
<p>然后重 载onCreateDialog，参数id为Dialog ID，可以根据id来创建需要的Dialog实例。</p>
<pre>
@Override
protected Dialog onCreateDialog(int id) {
 switch (id) {
 case DIALOG_YES_NO_MESSAGE:
 return new AlertDialog.Builder(AlertDialogSamples.this)
 .setIcon(R.drawable.alert_dialog_icon)
 .setTitle(R.string.alert_dialog_two_buttons_title)
 .setPositiveButton(R.string.alert_dialog_ok,
    new DialogInterface.OnClickListener() {
 public void onClick(DialogInterface dialog, int whichButton) {     

 /* User clicked OK so do some stuff */
 }
 })
 .setNegativeButton(R.string.alert_dialog_cancel,
     new DialogInterface.OnClickListener() {
 public void onClick(DialogInterface dialog, int whichButton) {     

 /* User clicked Cancel so do some stuff */
 }
 })
 .create();     

 ...</pre>
<p>显示Dialog</p>
<pre>
showDialog(DIALOG_YES_NO_MESSAGE);</pre>
<p>App-&gt;Dialog通过八个例子来说明 AlertDialog的多种用法：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTA1NTBUME0tMC5wbmc=.jpg"></p>
<p><strong>OK Cancel dialog with a message</strong></p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索android so...<br />
                    ，                实例<br />
                    ，                对话框<br />
                    ，                dialog<br />
                    ，                alertdialog<br />
                    ，                showdialog<br />
                    ，                android alertdialog<br />
                    ，                dialogic<br />
                    ，                builder<br />
                    ，                android二级多选列表<br />
                    ，                table安卓android alertdialog<br />
                    ，                alertdialog焦点 位置<br />
                    ，                androidandroid alertdialog<br />
                                    dialog对话框<br />
                                    apidemos、android apidemos、api demos、apidemos下载、android api demos，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-19 06:47:04</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%af%9d%e6%a1%86/" title="对话框">对话框</a>, <a href="https://www.iamivan.net/tag/%e5%ae%9e%e4%be%8b/" title="实例">实例</a>, <a href="https://www.iamivan.net/tag/builder/" title="builder">builder</a>, <a href="https://www.iamivan.net/tag/dialog/" title="dialog">dialog</a>, <a href="https://www.iamivan.net/tag/android%e4%ba%8c%e7%ba%a7%e5%a4%9a%e9%80%89%e5%88%97%e8%a1%a8/" title="android二级多选列表">android二级多选列表</a>, <a href="https://www.iamivan.net/tag/dialogic/" title="dialogic">dialogic</a>, <a href="https://www.iamivan.net/tag/showdialog/" title="showdialog">showdialog</a>, <a href="https://www.iamivan.net/tag/alertdialog/" title="alertdialog">alertdialog</a>, <a href="https://www.iamivan.net/tag/android-so/" title="android so&period;&period;&period;">android so&period;&period;&period;</a>, <a href="https://www.iamivan.net/tag/android-alertdialog/" title="android alertdialog">android alertdialog</a>, <a href="https://www.iamivan.net/tag/alertdialog%e7%84%a6%e7%82%b9-%e4%bd%8d%e7%bd%ae/" title="alertdialog焦点 位置">alertdialog焦点 位置</a>, <a href="https://www.iamivan.net/tag/androidandroid-alertdialog/" title="androidandroid alertdialog">androidandroid alertdialog</a>, <a href="https://www.iamivan.net/tag/table%e5%ae%89%e5%8d%93android-alertdialog/" title="table安卓android alertdialog">table安卓android alertdialog</a>, <a href="https://www.iamivan.net/tag/dialog%e5%af%b9%e8%af%9d%e6%a1%86/" title="dialog对话框">dialog对话框</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android ApiDemos示例解析(22) App-&amp;gt;Dialog的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj7jn5M.html" rel="bookmark">Android ApiDemos示例解析&lpar;6&rpar; App-&amp;amp&semi;gt&semi;Activity-&amp;amp&semi;gt&semi;Dialog</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Custom Dialog中说过可以将Activity的Theme定义为Dialog风格,使得Activity看起来像是个对话框(Dialog),而 Custome Title 说明如果自定义标题栏. Dialog示例同样使用Dialog风格来显示Activity,同时为Titlebar 设置坐标的图标. DialogActivity使用Android系统定义的Dialog Theme: &lt;activity android:name=&quot;.app.DialogActivity&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2JKyM.html" rel="bookmark">Android ApiDemos示例解析&lpar;37&rpar;：App-&amp;amp&semi;gt&semi;Search-&amp;amp&semi;gt&semi;Query Search Results</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这个例子单独运行时(从Launcher启动),这时接受到的Intent不含ACTION_SEARCH,和一个普通的Activity没有什么两样. 在例(36)时,它是作为查询处理Activity用于显示用户查询内容. SearchQueryResults 在AndroidManifest.xml定义为 Searchable Activity: &lt;intent-filter&gt; &lt;action android:name=&quot;android.intent.action.SEARCH&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZO4Y6b.html" rel="bookmark">Android ApiDemos示例解析&lpar;43&rpar;：App-&amp;amp&semi;gt&semi;Service-&amp;amp&semi;gt&semi;Remote Service Controller</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Remote Service Controller 和使用Local Service的Android ApiDemo示例解析(40):App-&gt;Service-&gt;Local Service Controller 都是使用Service的&quot;Started&quot; 模式,RemoteService在 AndroidManifest.xml中的定义如下: &lt;service android:name=&quot;.app.RemoteService&quot; android:pr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK7dOAb.html" rel="bookmark">Android ApiDemos示例解析&lpar;35&rpar;：App-&amp;amp&semi;gt&semi;Preferences-&amp;amp&semi;gt&semi;Advanced preferences</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前篇文章Android ApiDemo示例解析(31):App-&gt;Preferences-&gt;Launching preferences 中用到了Advanced preferences 中定义的AdvancedPreferences. 本篇具体介绍AdvancedPreferences, 这个例子称为Advanced ,是因为 它涉及到了自定义Preference, 并在一个工作线程中刷新某个Preference的值. Preference 为显示在 PreferenceActivity (一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm7jq1b.html" rel="bookmark">Android ApiDemos示例解析&lpar;30&rpar; App-&amp;amp&semi;gt&semi;Preferences-&amp;amp&semi;gt&semi;Preferences from XML</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们在前面的例子Android ApiDemo示例解析(9):App-&gt;Activity-&gt;Persistent State 介绍了可以使用Shared Preferences来存储一些状态,Shared Preferences更一般的用法是用来存储一些应用程序偏好(设置). 包 android.preference 提供了很多类可以方便应用程序来显示和设置应用相关的偏好.当然你可以使用自定义的UI来配置这些程 序偏好.但使用android.preference中定义的类可以给用户一个统一的U			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqLVERb.html" rel="bookmark">Android ApiDemos示例解析&lpar;14&rpar; App-&amp;amp&semi;gt&semi;Activity-&amp;amp&semi;gt&semi;Save &amp;amp&semi;amp&semi; Restore State</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Save &amp; Restore State与之前的例子Android ApiDemo示例解析(9):App-&gt;Activity-&gt;Persistent State 实现的 UI类似,但功能和实现方法稍有不同.(9)是通过Shared Preferences 和 Activity 的onPause() ,和onResume()来保持UI中 EditText 的值.本例是通过onSaveInstanceState(Bundle savedBundle) 来实现保持UI状态. 和onPause			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlROY8z.html" rel="bookmark">Android ApiDemos示例解析&lpar;21&rpar; App-&amp;amp&semi;gt&semi;Device Admin</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Device Admin示例介绍了类DeviceAdminReceiver,DevicePolicyManager和ActivityManager. 类 DevicePolicyManager 用于管理Android设备定义的一些策略,主要指密码定义的长度,密码是否要含大写字母,小写字母等设 置密码需要满足的规范,锁定设备或是清除所有用户数据,这个类一般需要配合DeviceAdminReceiver来使用. DeviceAdminReceiver派生于BroadcastReceiver,可以接受			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5A60Rp.html" rel="bookmark">Android ApiDemos示例解析&lpar;13&rpar; App-&amp;amp&semi;gt&semi;Activity-&amp;amp&semi;gt&semi;Reorder Activities</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Reorder Activities 示例有四个相关的Activitives: ReorderOnLaunch, ReorderTwo,ReorderThree, ReorderFour.其中ReorderOnLaunch为主Activity,ReorderOnLaunch启动ReorderTwo ,ReorderTwo启动 ReorderThree,ReorderThree启动 ReorderFour. 这时在Activity的&quot;back stack&quot;有如下状态: ReorderFo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze4aA9p.html" rel="bookmark">Android ApiDemos示例解析&lpar;10&rpar; App-&amp;amp&semi;gt&semi;Activity-&amp;amp&semi;gt&semi;QuickContactsDemo</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				QuickContactsDemo示例介绍了如果使用Content Provider来访问Android系统的Contacts 数据库. Content Provider为不同应用之间共享数据提供了统一的接口,通过对底层数据源的抽象,Content Provider实现了应用程序代码和数 据层分离.Android平台对大部分的系统数据库都提供了对应的Content Provider接口: Browser: 读取和修改Bookmark,Browser history或Web Searches. C			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mxyx0p.html" rel="bookmark" class="title">我是一个站长，今天想和大家谈谈站长恋爱</a>
					<div>
						想想这一年的时间,过的真快,但一切都历历在目,今天不想跟大家谈建站的辛苦,也不谈自己对网络的认识和看法,只想谈谈做为站长身份的我,是怎么恋爱的. 她,幽幽,25岁,比我大三岁,长相甜美可爱,与其实际年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaVYnM.html" rel="bookmark" class="title">实现SOA连接的第一步：WebSphere MQ V7新功能</a>
					<div>
						前言 &quot;SOA Message Backbone&quot;,这是对WebSphere MQ V7.0的最佳写照.它可跨越J2EE.Microsoft.NET等多种环境,支持多达35种平台: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PYxAM.html" rel="bookmark" class="title">Word中如何让字母不再自动大写</a>
					<div>
						有时在用Word时会发现输入完英文后输入空格或者按回车键换行,这段英文的第一个字母都会自动变成大写,其实这是Word默认启用的自动化功能. 如果不想使用该功能,只需简单设置就能禁用,以WPS为例: 查 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AVknp.html" rel="bookmark" class="title">Oracle的v&dollar;session性能视图</a>
					<div>
						1.V$SESSION表结构 SQL&gt; desc v$session; 名称                                      是否为空? 类型 ------------ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRy8mqb.html" rel="bookmark" class="title">用Delphi隐藏桌面上的图标</a>
					<div>
						使桌面上的图标消失,连桌面上的右键功能也不能使用如果不让初学者乱用&quot;我的电脑&quot;的话,那么把程序放到&quot;启动&quot;里,顺便把&quot;Windows资源管理器&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7Zqab.html" rel="bookmark" class="title">关于&OpenCurlyDoubleQuote;吴亦凡入伍&rdquo;H5背后的故事</a>
					<div>
						  创意永远是命题作文,项目初期团队了解到: 1.吴亦凡签约全民突击将会是一个立体完整的campaign,品牌团队希望TGideas在H5这个模块,通过出彩的创意引爆话题 2.没有任何素材,吴亦凡只能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr5nkp.html" rel="bookmark" class="title">Photoshop给偏暗人物照片增加淡红甜美色调</a>
					<div>
						图片原始色调比较融合,只是稍微有点偏暗.处理的时候需要把画面调亮并柔化处理,再把人物及背景局部稍微调红润一点即可. 原图 &lt;点小图查看大图&gt; 三联推荐:photoshop7.0迷你版免费下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kPgqz.html" rel="bookmark" class="title">php创建sprite</a>
					<div>
						 本文介绍了使用PHP根据文件夹内的图片生成sprite合成图示例,需要的朋友可以参考下  代码如下: &lt;?php $srcdir='./image/'; $prefix=&quot;pic11 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bam6xgb.html" rel="bookmark" class="title">有黑客精神的IT老兵与创业团队中坚力量&mdash;&mdash;杨正权</a>
					<div>
						黑客精神一直是自由.创新.突破的流行代名词.大量技术功底好,脑子活络,意志坚强的IT老兵选择了创业,随着这类人员不断在创业团队中担当主力.我们不妨来关注和发现这类人群的闪光点.  在年底策划了&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6nLBz.html" rel="bookmark" class="title">如果看了这篇文章你还不懂傅里叶变换，那就过来掐死我吧（下）</a>
					<div>
						上一篇文章发出来之后,为了掐死我,大家真是很下工夫啊,有拿给姐姐看的,有拿给妹妹看的,还有拿给女朋友看的,就是为了听到一句&quot;完全看不懂啊&quot;.幸亏我留了个心眼,不然就真的像标题配图那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAxmYM.html" rel="bookmark" class="title">eclipse 设置 默认编码为 utf-8</a>
					<div>
						学习javaweb时,开发工具都采用utf-8的编码方式,给eclipse设置默认编码为utf-8的编码方法 菜单 Window -&gt; preference -&gt; General -&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOleqRb.html" rel="bookmark" class="title">《TCP&sol;IP路由技术（第二卷）》一1&period;9 配置练习题</a>
					<div>
						1.9 配置练习题 TCP/IP路由技术(第二卷) 本书附录E中提供了以下配置练习题的答案. (1)图1-14中的自治系统65531是一个核心AS,请在RTA和RTB上配置EGP,要求如下: 不要将A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4KAZz.html" rel="bookmark" class="title">求大神解答！参数传递问题</a>
					<div>
						问题描述 小弟刚学javase不久,刚去某培训机构学习下.发现了个问题....大家帮帮忙!!!参数是传递调用的,一点都不懂啊???最好画个图解出来...呜呜呜!!!publicclassExchang ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7NOnp.html" rel="bookmark" class="title">从中英文垃圾邮件看网络商机</a>
					<div>
						因为开始了中文博客,最近收到的中文垃圾邮件也开始多起来了,当然英文垃圾邮件从来也不缺. 从中英文垃圾邮件(spam email)的内容可以发现中西方人对网络商机的一些不同关注点,下面就我所收到的中英文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeY81b.html" rel="bookmark" class="title">小企业如何推广品牌</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 许多电商都想着能够一本万利,某月投入一个项目可以在短暂的时间内给企业带来百倍的利润,投放某一个广告能够带给企业百倍的效益,但是许多电商并不了解某些广告平 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEkwQM.html" rel="bookmark" class="title">使用Apache模块mod&lowbar;deflate加快页面打开速度</a>
					<div>
						mod_deflate 模块提供了DEFLATE 输出过滤器,允许服务器在将输出内容发送到客户端以前进行压缩,以节约带宽. 修改httpd.conf 1.使用此模块  LoadModule defla ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjYxQM.html" rel="bookmark" class="title">大话存储系列12&mdash;&mdash;集群的本质</a>
					<div>
						1.引子 随着网络视频行业不断走向成熟,越来越多的企业都参与到视频网站建设中来,竞争愈加激烈,而带宽.服务器.存储.编解码等各项技术直接关系到竞争优势.存储系统作为视频数据的载体,其IO性能和可扩展性 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JV5Az.html" rel="bookmark" class="title">摩托罗拉分拆后约7000名在华员工待遇未变</a>
					<div>
						据称摩托罗拉在华业务运转正常,约7000名在华员工待遇也保持原状 每经记者 郎振 发自北京 &quot;今天是我们新公司诞生后的第一个正式工作日&quot;,北京摩托罗拉大厦里一位员工略带兴奋地告诉& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodZZ3M.html" rel="bookmark" class="title">java-如何提用Java取文件中几行特定的内容</a>
					<div>
						问题描述 如何提用Java取文件中几行特定的内容 做的项目中有一个是提取一些实例,要有年份的限制,但每个实例都有特性. 要把#* 到#!提取出来相应#t哪里要有个限制 各位大神解决这样的问题如何用ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqaRwp.html" rel="bookmark" class="title">乐视网&OpenCurlyDoubleQuote;Live生活&rdquo;成精品演出新标杆</a>
					<div>
						日前,以&quot;她们&quot;为主题的乐视网&quot;Live生活&quot;第四季圆满结束.本季音乐会集结了陈珊妮.郁可唯.谭维维等7位当代乐坛别具特色的女歌手,可谓精彩纷呈.乐视网&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNrY6p.html" rel="bookmark" class="title">中关村商户半数未开张客流稀少</a>
					<div>
						本报讯(记者 徐超 兰艺云)虽然上班族已经恢复了节后的工作,但对于中关村的部分商家来说,今天仍然是休息日.记者发现,由于客流稀少,中关村近半数商家今天仍未开张营业. 今天上午10点多,记者在鼎好商城一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEomQp.html" rel="bookmark" class="title">读书笔记：Apache Hadoop YARN&colon; Yet Anothe Resource Negotiator</a>
					<div>
						     YARN的(最)重要论文     原MapReduce的问题(Hadoop1.0)也就是YARN要解决的问题:     1,tight coupling of a specific prog ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVBejz.html" rel="bookmark" class="title">Windows下用PyCharm和Visual Studio开始Python编程&lowbar;基础知识</a>
					<div>
						Windows搭建python开发环境 首先需要去python的官网下载环境.鼠标移动到Downloads的tab上,在这里可以下载. python的环境还是很人性化的,没有那么多罗里吧嗦的配置什么的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ11V0b.html" rel="bookmark" class="title">浅谈JavaScript前端开发的MVC结构与MVVM结构&lowbar;javascript类库</a>
					<div>
						MVCModel–View–Controller (MVC)是一种把信息展现逻辑和用户交互分离的计算机用户界面开发模式:Model包含应用的数据和业务逻辑:Controller负责把用户的输入,转换为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnKv9p.html" rel="bookmark" class="title">jQuery中live方法的重复绑定说明&lowbar;jquery</a>
					<div>
						解决:使用die()方法,在live()方法绑定前,将此元素上的前面被绑定的事件统统解除,然后再通过live()方法绑定新的事件. 复制代码 代码如下: //先通过die()方法解除,再通过live( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOG94b.html" rel="bookmark" class="title">jquery实现简单的全选和反选功能&lowbar;jquery</a>
					<div>
						首先我们看个简单的实例 &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http:/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmrBqp.html" rel="bookmark" class="title">php&period;ini magic&lowbar;quotes&lowbar;gpc配置防注入方法&lpar;1&sol;5&rpar;</a>
					<div>
						1. php 配置文件 php.ini 中的 magic_quotes_gpc 选项没有打开,被置为 off 2. 开发者没有对数据类型进行检查和转义 不过事实上,第二点最为重要.我认为, 对用户输入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlAQ8p.html" rel="bookmark" class="title">Laravel HTTP路由命名和路由分组例子</a>
					<div>
						1.路由命名--给路由起个名字 1.1 基本使用 我们使用as关键字来为路由命名: Route::get('/hello/laravelacademy',['as'=&gt;'academy',fun ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5Daaz.html" rel="bookmark" class="title">【java】基于Tomcat的WebSocket转帖 &plus; 自己理解</a>
					<div>
						网址:http://redstarofsleep.iteye.com/blog/1488639 原帖时间是2012-5-8,自己书写时间是2013年6月21日10:39:06   Java代码 pac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkDQZz.html" rel="bookmark" class="title">javascript  setinterval 正确的语法</a>
					<div>
						前几天我用setinterval 写了一个小程序,这个setinterval是用来干什么的我就不解释了. 写的方法在其它的浏览器里都能用,后来测试组的同事拿去一测就出了问题.因为她们爱用360,还有I ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
